HERE iOS SDK Developer's Guide

System Requirements

  • HERE SDK supports iOS 10 or above. iOS 11 is recommended for optimal operation.
  • HERE iOS SDK is designed and tested for use with iOS phones and tablets. Supported devices are:
    • iPhone 5 or newer
    • iPad 3 or newer
    • iPad Mini 2 or newer
    Note: While the HERE iOS SDK supports both 32-bit and 64-bit devices, iOS 11 is 64-bit only, and only these devices are supported:
    • iPhone 5s or newer
    • iPad Air or newer, including iPad (2017) and iPad Pro
    • iPad Mini 2 or newer
  • Apps should be developed using XCode 9 or above, running on macOS 10.12.6 or above
  • A minimum of 30MB per application should be made available for the storage of the HERE SDK libraries
  • A minimum of 100MB should be made available for the storage of map data
  • Data connectivity (WiFi or Cellular) is required to download map data and ensure map data is updated when new versions are made available.